curl --request POST \
--url 'https://api.voice.stateset.com/api/v1/automations/sms/troubleshooting' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"call_sid": "CA1234567890abcdef1234567890abcdef",
"customer_phone": "+15555555678",
"metadata": {
"order_id": "ORD-12345"
},
"reason": "customer requested a human agent",
"session_id": "550e8400-e29b-41d4-a716-446655440000"
}'
{
"ok": true,
"result": {
"message_sid": "SM1234567890abcdef",
"queued_at": "2026-05-14T17:42:09Z"
}
}
Send a troubleshooting SMS to the customer
Sends an SMS with troubleshooting steps for the customer’s reported issue.
POST
/
api
/
v1
/
automations
/
sms
/
troubleshooting
curl --request POST \
--url 'https://api.voice.stateset.com/api/v1/automations/sms/troubleshooting' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"call_sid": "CA1234567890abcdef1234567890abcdef",
"customer_phone": "+15555555678",
"metadata": {
"order_id": "ORD-12345"
},
"reason": "customer requested a human agent",
"session_id": "550e8400-e29b-41d4-a716-446655440000"
}'
{
"ok": true,
"result": {
"message_sid": "SM1234567890abcdef",
"queued_at": "2026-05-14T17:42:09Z"
}
}
Sends an SMS with troubleshooting steps for the customer’s reported issue.
Request body
AutomationPayload
Response
AutomationResponse
Status codes
| Code | Meaning |
|---|---|
200 | Automation executed successfully |
400 | Automation execution failed |
401 | Unauthorized - invalid or missing bearer token |
500 | Internal server error |
curl --request POST \
--url 'https://api.voice.stateset.com/api/v1/automations/sms/troubleshooting' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"call_sid": "CA1234567890abcdef1234567890abcdef",
"customer_phone": "+15555555678",
"metadata": {
"order_id": "ORD-12345"
},
"reason": "customer requested a human agent",
"session_id": "550e8400-e29b-41d4-a716-446655440000"
}'
{
"ok": true,
"result": {
"message_sid": "SM1234567890abcdef",
"queued_at": "2026-05-14T17:42:09Z"
}
}
Last modified on August 31, 2026